<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.longtu.longtubasesdk"
    android:installLocation="auto"
    android:versionCode="104"
    android:versionName="1.0.4" >

    <uses-sdk
        android:minSdkVersion="11"
        android:targetSdkVersion="27" />

    <supports-screens
        android:anyDensity="true"
        android:largeScreens="true"
        android:normalScreens="true"
        android:resizeable="true"
        android:smallScreens="true" />

    <!-- LTBaseSDK需要的权限 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="com.google.android.gms.permission.AD_ID" />

    <!-- 实际配置到游戏工程的AndroidManifest.xml时可以删除重复的权限 -->

    <application
        android:name="com.longtu.android.channels.Info.LTBase_Channels_Application"
        android:allowBackup="true"
        android:icon="@drawable/longtu_sample_ic_launcher"
        android:label="@string/app_name" >

        <!-- 以下为BASE SDK需要的配置 -->
         <!-- 闪屏配置 -->
        <activity
            android:name="com.longtu.sdk.base.logo.LTBaseLogoScreenActivity"
            android:configChanges="orientation|keyboardHidden|screenSize|screenLayout"
            android:screenOrientation="portrait"
            android:exported="true"
            android:theme="@android:style/Theme.NoTitleBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />

            </intent-filter>
        </activity>

        <!-- 指定Web页面Activity -->
        <activity
            android:name="com.longtu.sdk.base.jswebview.LTWebViewActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="sensor"
            android:exported="false"
            android:theme="@android:style/Theme.Translucent.NoTitleBar"></activity>


        <!-- BASE SDK中上传崩溃日志的服务 -->
            <service
                android:name="com.longtu.sdk.base.c.LTBaseCrashService"
                android:exported="false"
                android:process=":ltbaseCrash">
                <intent-filter>
                    <action android:name="ltbase.UpCrashLog" />
                </intent-filter>
            </service>
            
            

        <!--需要配置为游戏的启动类 需要完整路径，必须配置  -->
        <meta-data
            android:name="ltbase_class_name"
            android:value="com.longtu.sample.LTBase_Demo_MainActivity" />
        <!-- 游戏请配置自己游戏的展示类型，竖屏游戏请配置成 portrait，横屏游戏请配置成landscape -->
        <meta-data
                android:name="ltbase_screenOrientation"
            android:value="portrait" />
        



				<!-- 闪屏默认配置 -->
        <meta-data
            android:name="ltbase_logo_flag"
            android:value="1" />

        <!-- 闪屏时间为 2S -->
        <meta-data
            android:name="ltbase_logotime"
            android:value="2000" />


        <!-- 视频闪屏默认配置 -->
        <meta-data
            android:name="ltbase_videologo_flag"
            android:value="1" />
        <!--悬浮窗初始位置配置，1到6分别是左上 左中 左下 右上 右中 右下-->
        <meta-data
            android:name="ltbase_float_position"
            android:value="1" />


        <!-- 指定Web页面Activity -->
        <activity
            android:name="com.longtu.sdk.base.jswebview.LTWebViewActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="sensor"
            android:exported="false"
            android:theme="@android:style/Theme.Translucent.NoTitleBar"></activity>


    
            
            <!-- 客服反馈功能Activity -->
        <activity
            android:name="com.longtu.sdk.base.opservice.LTOpServiceActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="false"
            android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
            
            <!--  设置为海外渠道 -->
        <meta-data
            android:name="LTBaseIsOversea"
            android:value="true" />

            
    </application>

</manifest>